条形码
GET https://qrcloud.online/api/barcodes/
curl --request GET \
--url 'https://qrcloud.online/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详细信息 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 您正在搜索哪个字段。允许的值为:name, value。 |
| type | 可选 字符串 | 允许的值: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| datetime_field | 可选 字符串 | 允许的值: datetime, last_datetime |
| datetime_start | 可选 字符串 | 从此日期时间开始过滤结果。Y-m-d H:i:s 格式。 |
| datetime_end | 可选 字符串 | 筛选结果直至此日期时间。Y-m-d H:i:s格式。 |
| order_by | 可选 字符串 | 按照哪个字段对结果排序。允许的值有:barcode_id, datetime, last_datetime, name, type。 |
| order_type | 可选 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选 整数 | 您想要结果的页面数。默认为1。 |
| results_per_page | 可选 整数 | 每页要显示多少个结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"type": "C32",
"name": "Example name",
"value": "123456",
"barcode": "https://qrcloud.online/uploads/barcode/example.svg",
"settings": {
"foreground_color": "#000000",
"width_scale": 2,
"height": 50,
},
"embedded_data": "123456",
"last_datetime": null,
"datetime": "2026-05-20 05:33:32",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcloud.online/api/barcodes?page=1",
"last": "https://qrcloud.online/api/barcodes?page=1",
"next": null,
"prev": null,
"self": "https://qrcloud.online/api/barcodes?page=1"
}
}
GET https://qrcloud.online/api/barcodes/{barcode_id}
curl --request GET \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "C32",
"name": "Example name",
"value": "123456",
"barcode": "https://qrcloud.online/uploads/barcode/example.svg",
"settings": {
"foreground_color": "#000000",
"width_scale": 2,
"height": 50,
},
"embedded_data": "123456",
"last_datetime": null,
"datetime": "2026-05-20 05:33:32",
}
}
POST https://qrcloud.online/api/barcodes
| 参数 | 详细信息 | 描述 |
|---|---|---|
| project_id | 可选 整数 | - |
| name | 必填字段 字符串 | - |
| type | 必填字段 字符串 | 允许的值: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| is_bulk | 可选 布尔值 | |
| value | 必填字段 字符串 | - |
| display_text | 可选 布尔值 | - |
| foreground_color | 可选 字符串 | - |
| background_color | 可选 字符串 | - |
| width_scale | 可选 整数 | 1-10 |
| height | 可选 整数 | 30-1000 |
| 参数 | 详细信息 | 描述 |
|---|---|---|
curl --request POST \
--url 'https://qrcloud.online/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://qrcloud.online/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://qrcloud.online/api/barcodes/{barcode_id}
| 参数 | 详细信息 | 描述 |
|---|---|---|
| project_id | 可选 字符串 | - |
| name | 可选 字符串 | - |
| type | 可选 字符串 | 允许的值: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| value | 必填字段 字符串 | - |
| display_text | 可选 布尔值 | - |
| foreground_color | 可选 字符串 | - |
| background_color | 可选 字符串 | - |
| width_scale | 可选 整数 | 1-10 |
| height | 可选 整数 | 30-1000 |
curl --request POST \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qrcloud.online/api/barcodes/{barcode_id}
curl --request DELETE \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \